<?php
/**
 * Plugin Adm_redacteurs
 * Version  : 5.5.1 (2008/04/19)
 * Compatibility : Guppy v4.6.6+
 * Author   : jrme CROUX (djchouix)
 * Web site : http://lebrikabrak.info/
 * E-mail   : lebrikabrak@free.fr
 * Licence  : GNU Lesser General Public License
 */
if (stristr($_SERVER["SCRIPT_NAME"], "plugins_control.inc")) {
  header("location:../index.php");
  die();
}
define("CHEMIN", "../");
$lng  = strip_tags($lng);
$pg   = strip_tags($pg);
$plug = strip_tags($plug);
$listPluginsDisponibles = array('ajoutefreebox','openfiches','diaporama','ajoutemenu','sample','quiz');

//vrification des plugins installs ou supprims
if (file_exists(REP_DOC_PLUGIN."list_plugins".DBEXT)) { //LISTE DEJA PRESENTE
	// vrification de la prsence des plugins enregistrs pour les rdacteurs
	// On rcupre la liste des plugins inscrits dans le fichier list_plugins
	$redacdb = ReadDBFields(REP_DOC_PLUGIN."list_plugins".DBEXT); 
	for ($i = 0; $i < count($redacdb); $i++) {
		$rlist_plugin[$redacdb[$i][0]] = $redacdb[$i][0];
	}		
	//on rcupre les plugins installs dans le rpertoire admin/plugins/ de guppy
    $dir = opendir(CHEMIN."admin/plugins/");
	$i = 0;
    while ($f = readdir($dir)) {
		if (is_dir("plugins/".$f) && in_array($f,$listPluginsDisponibles)) {
        	$guppylist_plugins[$i] = $f;
			$i++;
	    }
    }
    closedir($dir);
		
    if (count($guppylist_plugins) != 0) {		
		$plugin_sup = array_diff($rlist_plugin,$guppylist_plugins);  //PLUGINS SUPPRIMES
		$plugin_add = array_diff($guppylist_plugins,$rlist_plugin);  //PLUGINS AJOUTES

		if (count($plugin_add) != 0) {  //SI AJOUT		       
            //on rcupre les plugins installs dans plugins/adm_redacteur/plugins/
			$dir = opendir(CHEMIN."plugins/adm_redacteurs/plugins/");
            while ($f = readdir($dir)) {
	        	if (is_dir("plugins/".$f) && in_array($f,$listPluginsDisponibles)) {
                	$redac_plugins[$f] = $f;
	            }
            }
            closedir($dir);
				   
			foreach($plugin_add as $i => $rpluginadd ) {	//GESTION DES ERREURS		        
				//on vrifie que le plugin ajout a t installs dans plugins/adm_redacteur/plugins/
				if (empty($redac_plugins[$rpluginadd])) { // si plugin non install on sort
					header("Location:".CHEMIN."admin/admin.php?lng=".$lng."&pg=plugin&plug=adm_redacteurs/inc/plugins_error&pluginadd=".$rpluginadd);
                    exit();
                }
			}	   
				
			//on modifie le fichier contenant la liste des plugins		   
			for($i = 0; $i < count($guppylist_plugins); $i++) {
				$newlistplugin [$i][0] = $guppylist_plugins[$i];
			}	 
            WriteDBFields(REP_DOC_PLUGIN."list_plugins".DBEXT,$newlistplugin); // on cre le  fichier contenant la liste des plugins installs dans le rpertoire data/plugins/
		}	
		   		   	   
		if (count($plugin_sup) != 0) {  //SI SUPPRESSION
			foreach($plugin_sup as $i => $rpluginsup) {
			   		   
			    //on modifie les fichiers de config des rdacteurs
				$dir = opendir(REP_REDAC);
                while ($f = readdir($dir)) {
					if(is_file(REP_REDAC.$f) && $f != 'index.php') {
						include(REP_REDAC.$f);  
						$rconfig = "<?php ";
						foreach($redacprefs as $cle => $valeur) {
							if ($cle == $rpluginsup) {
								$rconfig = $rconfig."\n"."\$redacprefs['$cle'] = stripslashes('');";							
							} else {
								$rconfig = $rconfig."\n"."\$redacprefs['$cle'] = stripslashes('$valeur');";
							}
						}
						$rconfig = $rconfig."\n ?>";	
						WriteFullDB(REP_REDAC.$f,$rconfig);
	                } 
				}	  
                closedir($dir);		   
			      
				//on supprime les fichiers enregistrs dans les rpertoires des plugins concerns
				for($i = 2; $i < count($listPluginsDisponibles); $i++) {
			    	if ( $rpluginsup == $listPluginsDisponibles[$i]) {
			        	$dir = opendir(REP_DOC_PLUGIN.$listPluginsDisponibles[$i].'/');
                        while ($f = readdir($dir)) {
							if (is_file(REP_DOC_PLUGIN.$listPluginsDisponibles[$i].'/'.$f) && $f != 'index.php') {
	                        	DestroyDBFile(REP_DOC_PLUGIN.$listPluginsDisponibles[$i].'/'.$f);
	                        }
						}
                        closedir($dir);			   
			        }					 
				}
			}
			//ENREGISTREMENT NOUVELLE LISTE
            $redacdb = ReadDBFields(REP_DOC_PLUGIN."list_plugins".DBEXT);
			for ($i =0; $i < count($redacdb);$i++) {
				$tab1[$i] = $redacdb[$i][0];							
			}	
			$i = 0;
			foreach($plugin_sup as $cle => $rpluginsup) {
				$tab2[$i] = $rpluginsup ;						   
				$i++;
			} 
			$tab3 = array_diff($tab1,$tab2);
			$i = 0;
			foreach ($tab3 as $cle => $valeur) {
				$newlistplugin [$i][0] = $valeur;
				$i++;
			}
            WriteDBFields(REP_DOC_PLUGIN."list_plugins".DBEXT,$newlistplugin); // on cre le  fichier contenant la liste des plugins installs dans le rpertoire data/plugins/		        		
		}
	} else { //plus aucuns plugins installs dans guppy
			
		// suppression du  fichier contenant la liste des plugins
		DestroyDBFile(REP_DOC_PLUGIN."list_plugins".DBEXT);
					   
		//on supprime les fichiers enregistrs dans les rpertoires des plugins concerns
		for($i = 2; $i < count($listPluginsDisponibles); $i++) {
			$dir = opendir(REP_DOC_PLUGIN.$listPluginsDisponibles[$i].'/');
            while ($f = readdir($dir)) {
				if (is_file(REP_DOC_PLUGIN.$listPluginsDisponibles[$i].'/'.$f) && $f != 'index.php') {
	            	DestroyDBFile(REP_DOC_PLUGIN.$listPluginsDisponibles[$i].'/'.$f);
	            }
			}
            closedir($dir);			   
		}					 
		//on modifie les fichiers de config des rdacteurs
		$dir = opendir(REP_REDAC);
        while ($f = readdir($dir)) {
			if(is_file(REP_REDAC.$f) && $f != 'index.php') {
				include(REP_REDAC.$f);
				$rconfig = "<?php ";
				foreach($redacprefs as $cle => $valeur) {
					if (!in_array($cle,$listPluginsDisponibles)) {						  
						$rconfig = $rconfig."\n"."\$redacprefs['$cle'] = stripslashes('$valeur');";
					} else { 
						$rconfig = $rconfig."\n"."\$redacprefs['$cle'] = stripslashes('');";
					}	
				}
				$rconfig = $rconfig."\n ?>";	
				WriteFullDB(REP_REDAC.$f,$rconfig);
	        } 
		}	  
        closedir($dir);					   					   			 
	}
} else {    
   	//on crit le fichier contenant la liste des plugins
	//on rcupre les plugins installs dans le rpertoire admin/plugins/ de guppy
    $dir = opendir("../admin/plugins/");
	$i = 0;
    while ($f = readdir($dir)) {
		if (is_dir("plugins/".$f) && in_array($f,$listPluginsDisponibles)) {
			$guppylist_plugins[$i] = $f;
			$i++;
	    }
    }
    closedir($dir);  
			 
    //on rcupre les plugins installs dans plugins/adm_redacteur/plugins/
	$dir = opendir("../plugins/adm_redacteurs/plugins/");
    while ($f = readdir($dir)) {
		if (is_dir("plugins/".$f) && in_array($f,$listPluginsDisponibles)) {
        	$redac_plugins[$f] = $f;
	    }
    }
    closedir($dir);
			
	if (count($guppylist_plugins) !=0) {	
		//On compare les deux tableaux et on vrifie que tous les plugins ont t install correctement
		$plugin_diff = array_diff($guppylist_plugins,$redac_plugins);
 
        if (count($plugin_diff) != 0){
			foreach($plugin_diff as $i => $rpluginadd) {
				header("Location:".CHEMIN."admin/admin.php?lng=".$lng."&pg=plugin&plug=adm_redacteurs/inc/error&pluginadd=".$rpluginadd);
                exit();
            } 
		} else {	  	   			
			//on crit le fichier contenant la liste des plugins
			for($i = 0; $i < count($guppylist_plugins); $i++) {
				$newlistplugin [$i][0] = $guppylist_plugins[$i];
			}	 
            WriteDBFields(REP_DOC_PLUGIN."list_plugins".DBEXT,$newlistplugin); // on cre le  fichier contenant la liste des plugins installs dans le rpertoire data/plugins/
        }
	}	    
}
// fin vrification des plugins
?>