<?php
/**
 * Plugin Adm_redacteurs
 * Version  : 5.5.4 (2008/12/30)
 * Compatibility : Guppy v4.6.6+
 * Author   : jrme CROUX (djchouix)
 * Web site : http://lebrikabrak.info/
 * E-mail   : lebrikabrak@free.fr
 * Licence  : GNU Lesser General Public License
 *
 * Ce fichier est bas sur :
 *
 * Plugin FCKeditor
 * Version  : 4.6.4.2.6.3 (2008/12/23)
 * Compatibility : Guppy v4.6.x
 * Author   : jrme CROUX (djchouix)
 * Web site : http://lebrikabrak.info/
 * E-mail   : lebrikabrak@free.fr
 * Licence  : GNU Lesser General Public License
 */
session_start();
header("Pragma: no-cache");
define("CHEMIN", "../../../");
include(CHEMIN."inc/includes.inc");
$lng = isset($_GET['lng']) ? strip_tags($_GET['lng']) : null;
$nameform = isset($_GET['nameform']) ? strip_tags($_GET['nameform']) : null;
$nametextarea = isset($_GET['nametextarea']) ? strip_tags($_GET['nametextarea']) : null;
if (!preg_match("`^[-a-z0-9_]+$`i", $lng.$nameform.$nametextarea)) die("Erreur dans le nom des variables passes dans l'URL !!");

/**
 * Protection contre les petits curieux
 */
if (is_file(CHEMIN.'plugins/adm_redacteurs/inc/redac_login'.INCEXT)) {
    include CHEMIN.'plugins/adm_redacteurs/inc/redac_login'.INCEXT;
} else {
    die('Error 220');
};

if ($log != 'Logged') {	// Authentification
	if ($version == "new") {
		unset($_SESSION['log']);
		unset($_SESSION['upseudo']);
	} else {
		session_unset();
	}
	session_destroy();
	header("Location:".$site[3]."plugins/adm_redacteurs/connect.php?lng=".$lng);
	exit;
}
//

// RECUPERATION ET DECLARATION DES VARIABLES ET CONSTANTE
define('BASEPATH', $site[3]);
define('PATH_GUPPYSMILEY', 'inc/img/smileys/');
$pathDirMinieditor = 'plugins/adm_redacteurs/editors/';    //chemin relatif du rpertoire du miniditeur ( ne pas modifier pour ne pas perdre la compatibilit avec les autres plugins)
$pathRepUpload ='plugins/adm_redacteurs/editors/';  //chemin relatif du rpertoire Upload
$accessRepUpload = array('img','photo','file','pages','flash');  //Rpertoire o l'on a accs pour uploader (valeur par dfaut)

// INSERTION FICHIER DE LANGUE
if(file_exists(CHEMIN.'plugins/adm_redacteurs/lang/'.$lng.'-adm_redacteurs.inc')) {
	include(CHEMIN.'plugins/adm_redacteurs/lang/'.$lng.'-adm_redacteurs.inc');
} else {
	include(CHEMIN.'plugins/adm_redacteurs/lang/en-adm_redacteurs.inc');
}

// On rcupre la config du rdacteur ou du groupe rdacteur
include(REP_REDAC.$upseudo.DBEXT);
if (isset($redacprefs['rgroupseudo']) && $redacprefs['rgroupseudo'] != '' &&  is_file(REP_REDAC.'grp_'.$redacprefs['rgroupseudo'].INCEXT)) {
	include(REP_REDAC.'grp_'.$redacprefs['rgroupseudo'].INCEXT);
} 

// RECUPERATION DE LA CONFIGURATION PERSONNALISE DE L'UPLOAD (VARIABLE $accessRepUpload)
if(file_exists(CHEMIN.$pathDirMinieditor.'minieditortextarea/config_upload.inc')) {  
	include(CHEMIN.$pathDirMinieditor.'minieditortextarea/config_upload.inc');  //CONFIGURATION UPLOAD MINIEDITEUR (SI PRESENT)
} elseif (file_exists(CHEMIN.$pathDirMinieditor.'fckeditor_config/config_upload.inc')) {  
	include(CHEMIN.$pathDirMinieditor.'fckeditor_config/config_upload.inc');  //CONFIGURATION UPLOAD FCKEDITOR
}

// CONTROLE DES REPERTOIRES ECRITS DANS LA VARIABLE $accessRepUpload et CREATION DU REPERTOIRE SI NECESSAIRE
include(CHEMIN.$pathRepUpload.'upload/functions_upload.inc');
$accessRepUpload = controlNameRepUpload($accessRepUpload);
$accessRepUpload = implode(';', $accessRepUpload);

// AFFICHAGE DES SMILEYS DE GUPPY
function addGuppySmileyFCK()
{
	$smileyGuppy = array('cool', 'wink', 'biggrin', 'smile', 'frown', 'eek', 'mad', 'confused', 'rolleyes', 'tongue', 'cry');
	$display = '';
	for ($i = 0; $i < count($smileyGuppy); $i++) {
		$smileyPath = CHEMIN.PATH_GUPPYSMILEY.$smileyGuppy[$i].'.gif';
		if (is_file($smileyPath)) { 
			$imgSize = getimagesize($smileyPath);
			$display .= '<img class="icon" src="'.$smileyPath.'" '.$imgsize[3].' alt="'.$smileyGuppy[$i].'" title="'.$smileyGuppy[$i].'" onClick="insertSmiley(\'editor\', \''.PATH_GUPPYSMILEY.$smileyGuppy[$i].'.gif\', \''.$smileyGuppy[$i].'\', \''.$imgSize[0].'\', \''.$imgSize[1].'\');" onMouseOver="this.className=\'hover\'" onMouseOut="this.className=\'out\'" />'."\n";
		}
	}
	return $display;
}

// HTML Head
echo '
	<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
	<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
	<title>FCKEditor</title>
	<meta http-equiv="Content-Type" content="text/html; charset='.$charset.'" />
	<meta http-equiv="Content-Style-Type" content="text/css" />
';

	// CSS
echo '<link type="text/css" rel="stylesheet" href="'.CHEMIN.$pathDirMinieditor.'fckeditor_config/custom/skin_guppy/fck_editor.css" />';
echo '<style type="text/css">
		body {margin:0; padding:0;}
	  </style>
';
	
	// JavaScript
echo '
	<script type="text/javascript" src="'.CHEMIN.'inc/fckeditor/fckeditor.js"></script>
	<script type="text/javascript" src="'.CHEMIN.$pathDirMinieditor.'fckeditor_config/jscript/editorFCK.js"></script>
	<script type="text/javascript">
		var content = initDocument("'.$nameform.'", "'.$nametextarea.'", 1);
	</script>
	</head>
';

// HTML Body
echo '
	<body onLoad="initEditor();" onResize="resizeEditor();">
	<form action="'.CHEMIN.$pathDirMinieditor.'postdataFCK.php" id="fHtmlEditor" name="fHtmlEditor" method="post" style="margin:0px;padding:0px;">
	<input type="hidden" name="lng" id="lng" value="'.$lng.'" />
	<input type="hidden" name="nameform" id="nameform" value="'.$nameform.'" />
	<input type="hidden" name="nametextarea" id="nametextarea" value="'.$nametextarea.'" />
	<input type="hidden" name="accessRepUpload" id="accessRepUpload" value="'.$accessRepUpload.'" />
	<script type="text/javascript">
		createFCKEditor("editor", "100%", 475, content, "'.$lng.'", "'.BASEPATH.'", "'.$pathDirMinieditor.'", "'.$pathRepUpload.'"); //Creation et configuration de l\'diteur
	</script><div id="smileysGuppy" class="smileysGuppy">
	'.addGuppySmileyFCK().'
	</div>
	</form>
	</body>
	</html>
';